/* Wysiwyg editor
 **************************************** */
.bold {
  font-weight: bold;
}
 .mce-content-body {
  word-break: break-word;
  text-align: justify;
  line-height: 2;
  text-justify: inter-ideograph;
  -ms-text-justify: inter-ideograph;
}
.mce-content-body ol {
  list-style: decimal;
}
.mce-content-body ul:not(:first-child),
.mce-content-body ol:not(:first-child) {
  margin-top: 1em;
}
.mce-content-body ul:not(:last-child),
.mce-content-body ol:not(:last-child) {
  margin-bottom: 1em;
}
.mce-content-body ul li,
.mce-content-body ol li {
  position: relative;
  margin: 0;
  border-bottom: none;
  padding: 0;
  margin-left: 2em;
  padding-top: .5em;
}
.mce-content-body ul li {
  list-style: none;
}
.mce-content-body ul li::before {
  content: '';
  position: absolute;
  top: 1em;
  left: -1.3em;
  width: 10px;
  height: 10px;
  border: 1px solid #1D7FB7;
  background-color: #1D7FB7;
}
.mce-content-body ul[style="list-style-type: circle;"] li::before {
  background-color: #fff;
}
.mce-content-body ul:not([style="list-style-type: square;"]) li::before {
  border-radius: 50%;
}
.mce-content-body img {
  margin: 1em 0;
  max-width: 100%;
  height: auto;
}
.mce-content-body hr {
  border-color: #D3D3D3;
}
.mce-content-body .box {
  padding: 24px 32px;
  background-color: #EEF9FF;
  border: 1px solid #1D7FB7;
}
.mce-content-body .box:not(:first-child) {
  margin-top: 2em;
}
.mce-content-body .box:not(:last-child) {
  margin-bottom: 2em;
}
.mce-content-body .box-wh {
  background-color: #fff;
  border: 0;
}
.mce-content-body .alignleft {
  float: left;
  clear: left;
  margin-right: 2em;
  margin-bottom: 2em;
}
.mce-content-body .alignright {
  float: right;
  clear: right;
  margin-left: 2em;
  margin-bottom: 2em;
}
.mce-content-body .aligncenter {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 2em;
}
.mce-content-body img.aligncenter {
  display: block;
}
.mce-content-body .alignleft:last-child,
.mce-content-body .alignright:last-child,
.mce-content-body .aligncenter:last-child {
  margin-bottom: 0;
}
.mce-content-body p {
  letter-spacing: .1em;
}
.mce-content-body p:not(:last-child) {
  margin-bottom: 1em;
}
.mce-content-body .wp-caption {
  width: 100% !important;
}
.mce-content-body blockquote {
  margin: 1em 0;
  padding: 15px 40px;
  border-radius: 3px;
  position: relative;
  display: inline-block;
  font-style: oblique;
  color: #666;
  background-color: #f8f8f8;
}
.mce-content-body blockquote p { margin-bottom: 0; }
.mce-content-body blockquote::before,
.mce-content-body blockquote::after {
  content: '';
  position: absolute;
  width: 1em;
  height: 1em;
  opacity: .25;
}
.mce-content-body blockquote::before {
  background-image: url('../images/common/icon-quote_left.svg');
  top: 13px;
  left: 10px;
}
.mce-content-body blockquote::after {
  background-image: url('../images/common/icon-quote_right.svg');
  bottom: 13px;
  right: 10px;
}
.mce-content-body a {
  text-decoration: underline;
}
.mce-content-body a:hover {
  text-decoration: none;
}
.mce-content-body .footer_text small {
  display: block;
  margin-top: 8px;
  text-align: right;
}
.mce-content-body table {
  border: none;
  height: auto !important;
}
.mce-content-body table:not(:first-child) { margin-top: 1em; }
.mce-content-body table:not(:last-child) { margin-bottom: 1em; }
.mce-content-body th,
.mce-content-body td,
.mce-content-body tr {
  height: auto !important;
}
.mce-content-body th,
.mce-content-body td {
  padding: 1em;
  border: 1px solid #D3D3D3;
  line-height: 1.5;
  vertical-align: middle;
}
.mce-content-body th {
  min-width: 200px;
  text-align: left;
}

/* iframe */
iframe,
.mce-preview-object[data-mce-object="iframe"] {
  display: block;
  width: 100%;
}
.mce-content-body .iframe,
.mce-preview-object[data-mce-object="iframe"] {
  position: relative;
  margin-bottom: 40px;
}
.mce-content-body .iframe iframe,
.mce-preview-object[data-mce-object="iframe"] iframe {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
}
.mce-preview-object[data-mce-object="iframe"],
.mce-content-body .iframe--youtube,
.mce-content-body .iframe--google_map {
  padding-top: calc( 9 / 16 * 100% );
}

/* table scroll */
.table-sp-scroll {
  white-space: nowrap;
}
.scroll {
  overflow-x: scroll;
  margin-bottom: 1em;
  -webkit-overflow-scrolling: touch;
}
.scroll table { margin: 0; }
.scroll--cap {
  text-align: right;
  margin: 1em 0 0 !important;
  opacity: .25;
  font-size: 93%;
}

@media screen and (max-width: 767px) {
  .mce-content-body p:not([class]) {
    text-align: left !important;
  }
  .mce-content-body .alignright,
  .mce-content-body .alignleft  {
    width: 100% !important;
    float: none;
    margin: 20px auto;
    display: block;
  }
  .mce-content-body blockquote {
    padding: 15px;
  }
  .mce-content-body blockquote::before {
    top: 0;
    left: 0;
  }
  .mce-content-body blockquote::after {
    bottom: 0;
    right: 0;
  }
  .mce-content-body ul li::before {
    width: 8px;
    height: 8px;
  }
  .mce-content-body table {
    max-width: none !important;
  }
  .mce-content-body th {
    font-weight: bold;
  }
  .mce-content-body th,
  .mce-content-body td {
    padding: 8px;
  }
  .table-sp-full {
    width: 100% !important;
  }
  .table-sp-full th,
  .table-sp-full td {
    flex: 1;
  }
  .table-sp-block,
  .table-sp-block th,
  .table-sp-block td {
    width: 100% !important;
  }
  .table-sp-block th,
  .table-sp-block td {
    display: block;
  }
  .mce-content-body .box {
    padding: 24px;
  }
}

/* 管理画面エディタ用
*************************************************** */
.mce-content-body.wp-editor {
  padding: 24px !important;
  max-height: 100vh !important;
  overflow-y: scroll !important;
}

@media screen and (max-width: 767px) {
  .mce-content-body.wp-editor table tr *:first-child:nth-last-child(2),
  .mce-content-body.wp-editor table tr *:first-child:nth-last-child(2) ~ * {
    display: table-cell;
    width: auto !important;
  }
}

/* add quicktag
*************************************************** */
/* 見出し */
.editor-ttl:not(:last-child),
.editor-ttl2:not(:last-child),
.editor-ttl3:not(:last-child) {
  margin-bottom: 2em;
}
* + .editor-ttl,
* + .editor-ttl2,
* + .editor-ttl3 {
  margin-top: 3em;
}
.editor-ttl {
  position: relative;
  padding: 18px 0;
  font-size: 129%;
  text-align: center;
}
.editor-ttl::before,
.editor-ttl::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  display: block;
  width: 100%;
  height: 7px;
}
.editor-ttl::before {
  top: 0;
  background: url(../images/editor/editor-ttl01-bg01.svg) center no-repeat;
}
.editor-ttl::after {
  bottom: 0;
  background: url(../images/editor/editor-ttl01-bg02.svg) center no-repeat;
}
.editor-ttl2 {
  position: relative;
  padding-left: 20px;
  font-size: 1.125rem; /* 18px */
}
.editor-ttl2_mgn-min {
  margin: 4em 0 3em;
}
.editor-ttl2_mgn-min .editor-ttl2{
  margin: 1em 0;
  text-align: left;
}
.editor-ttl2::before {
  content: '';
  position: absolute;
  top: 7px;
  left: 0;
  display: block;
  width: 10px;
  height: 10px;
  background: url(../images/common/star02.svg) center no-repeat;
  background-size: cover;
}
.more_link a {
  position: relative;
  display: inline-block;
  padding: 12px 0;
  font-size: 128%;
  font-weight: bold;
  line-height: 1;
  text-decoration: none;
}
.mce-content-body .more_link a {
  font-size: 110%;
}
.mce-content-body .more_link.more_kink-window a {
  padding-right: 20px;
}
.mce-content-body .more_link.more_kink-window a svg {
  position: absolute;
  top: 50%;
  left: inherit;
  right: 0  ;
  transform: translateY(-50%) translateX(0%);
  -webkit-transform: translateY(-50%) translateX(0%);
}
.more_link a::before,
.more_link a::after {
  content: '';
  position: absolute;
  bottom: 0;
  display: block;
  border-bottom: 1px solid;
  transition: left .4s ease-out;
}
.more_link a::before {
  left: 0;
  right: -9px;
}
.more_link a::after {
  bottom: -1px;
  right: -6px;
  width: 1px;
  height: 8px;
  background-color: #fff;
  transform: rotate(-45deg);
}
.more_link a:hover::before {
  left: 90%;
}

/* 注意書き */
.txt-attention {
  display: block;
  font-size: 71.428%;
}

/* テーブル */
.mce-content-body table:not(.table1) th,
.table2 th {
  background-color: #1D7FB7;
  color: #fff;
}
.table1 th,
.table1 td {
  position: relative;
  border: 0;
  padding: 1em 1.5em;
}
.table1 th {
  color: #fff;
  font-size: 112.5%; /* 18px */
}
.table1 th::before,
.table1 td::before {
  content: '';
  position: absolute;
  bottom: 0;
  width: calc(100% - 3px);
}
.table1 th::before {
  left: 0;
  height: 1px;
  background-color: #fff;
}
.table1 td::before {
  right: 0;
  height: 1px;
  background-color: #D3D3D3;
}
/* IE */
_:-ms-input-placeholder, :root .table1 th {
  border-bottom: 2px solid #1D7FB7;
}
_:-ms-input-placeholder, :root .table1 td {
  border-bottom: 1px solid #D3D3D3;
}
_:-ms-input-placeholder, :root .table1 th::before,
_:-ms-input-placeholder, :root .table1 td::before {
  display: none;
}

@media screen and (max-width: 767px) {
  .editor-ttl {
    font-size: 135%;
  }
  .editor-ttl::before {
    background: url(../images/editor/editor-ttl01-bg01-sp.svg) center no-repeat;
    background-size: 100%;
  }
  .editor-ttl::after {
    background: url(../images/editor/editor-ttl01-bg02-sp.svg) center no-repeat;
    background-size: 100%;
  }
  .editor-ttl2 {
    font-size: 1rem; /* 16px */
  }
  .editor-ttl2:not(:last-child) {
    margin-bottom: 1em;
  }

  /* テーブル */
  .table2.table-sp-block th,
  .table2.table-sp-block td {
    border-bottom: 0;
  }
  .table2.table-sp-block tr:last-child > *:last-child {
    border-bottom: 1px solid #D3D3D3;
  }
  .table1.table-sp-block td::before {
    display: none;
  }

  /* ボタン */
  .more_link a {
    padding: 10px 0;
    font-size: 116%;
  }
}